summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRoeland Jago Douma <rullzer@users.noreply.github.com>2017-05-09 08:44:28 +0200
committerGitHub <noreply@github.com>2017-05-09 08:44:28 +0200
commit684997f79c8d40cf41daafedbbcc6a1e0f17123b (patch)
tree1c34b25942200815a52531043daa816aeaf2a744
parent888e719671cd9af1c66ece1b2b9ab7543e1ff075 (diff)
parente696b922971be68838ce7661a0050b48f6665915 (diff)
downloadnextcloud-server-684997f79c8d40cf41daafedbbcc6a1e0f17123b.tar.gz
nextcloud-server-684997f79c8d40cf41daafedbbcc6a1e0f17123b.zip
Merge pull request #4751 from nextcloud/wait-for-postgres
Wait for Postgres to be available
-rwxr-xr-xautotest.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/autotest.sh b/autotest.sh
index fa15597bd55..b9058efdbc6 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -306,6 +306,12 @@ function execute_tests {
echo "Postgres is up."
else
+ echo "Waiting for Postgres to be available ..."
+ if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 5432 60; then
+ echo "[ERROR] Waited 60 seconds, no response" >&2
+ exit 1
+ fi
+
if [ -z "$DRONE" ] ; then # no need to drop the DB when we are on CI
dropdb -U "$DATABASEUSER" "$DATABASENAME" || true
fi